Bug 30866 - Проверка для debuginfo, возможно, лишняя.
: Проверка для debuginfo, возможно, лишняя.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/repocop)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2015-03-26 15:09 by
Modified: 2015-10-31 19:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-03-26 15:09:30
http://packages.altlinux.org/en/Sisyphus/srpms/mailutils/repocop

mailutils-debuginfo-2.99.98-alt0.20130822.1.x86_64

symlink /usr/lib/debug/bin/mail.debug is a file in the package
mailx-debuginfo-8.1.2-alt7.x86_64.

При этом, в mailutils "Conflicts: mailx" есть. Думаю, этого должно быть
достаточно - mailx-debuginfo ведь не поставится без mailx.
------- Comment #1 From 2015-04-03 20:12:16 -------
repocop-unittest-rpm-filesystem-0.14-alt1 -> sisyphus:

* Fri Apr 03 2015 Igor Vlasenko <viy@altlinux> 0.14-alt1
- added mailx exceptions (closes: #30866)
------- Comment #2 From 2015-07-08 22:55:00 -------
Не вижу изменений, всё ещё висит предупреждение. И надо не mailx добавлять в
исключения, а debug-пакеты не вообще проверять, полагаясь на конфликты в
основных пакетах, как мне кажется.
------- Comment #3 From 2015-07-08 22:56:09 -------
Или это repocop на http://packages.altlinux.org не обновлён ?
------- Comment #4 From 2015-10-31 19:27:16 -------
repocop-unittest-rpm-filesystem-0.15-alt1 -> sisyphus:

* Sat Oct 31 2015 Igor Vlasenko <viy@altlinux> 0.15-alt1
- dropped *-debuginfo conflicts (they mirror their main packages)
- properly added mailx exceptions (closes: #30866)